{"title":"Create journalLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_journalline_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_journalline_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_journalline_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a journal line in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":51,"chars":221},{"level":2,"title":"Request headers","slug":"request-headers","at":272,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":374,"chars":90},{"level":2,"title":"Response","slug":"response","at":464,"chars":125},{"level":2,"title":"Example","slug":"example","at":589,"chars":1154},{"level":2,"title":"Related information","slug":"related-information","at":1743,"chars":312}],"text":"Creates a journal line object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/journals({id})/journalLines\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of journalLines object.\n## Response\nIf successful, this method returns ```201 Created``` response code and journalLines object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/journals({id})/journalLines\nContent-type: application/json\n\n{\n    \"id\": \"0a077d18-45e3-ea11-bb43-000d3a2feca1\",\n    \"journalId\": \"dd1b6a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"lineNumber\": 10000,\n    \"accountType\": \"G/L Account\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"accountNumber\": \"\",\n    \"postingDate\": \"2018-12-31\",\n    \"documentNumber\": \"\",\n    \"externalDocumentNumber\": \"\",\n    \"amount\": 0,\n    \"description\": \"\",\n    \"comment\": \"\"\n}\n```\nResponse\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n    \"id\": \"0a077d18-45e3-ea11-bb43-000d3a2feca1\",\n    \"journalId\": \"dd1b6a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"journalDisplayName\": \"DEFAULT\",\n    \"lineNumber\": 10000,\n    \"accountType\": \"G/L Account\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"accountNumber\": \"\",\n    \"postingDate\": \"2018-12-31\",\n    \"documentNumber\": \"\",\n    \"externalDocumentNumber\": \"\",\n    \"amount\": 0,\n    \"description\": \"\",\n    \"comment\": \"\",\n    \"lastModifiedDateTime\": \"0001-01-01T00:00:00Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\ndynamics_graph_reference\nJournal Line<../resources/dynamics_journalline>\nGet Journal Line<dynamics_journalline_get>\nUpdate Journal Line<dynamics_journalline_update>\nDelete Journal Line<dynamics_journalline_delete>"}